This new package is though to host the developing part of this project. 
In order to not interfere with working code, we have decided to host this 
code in a different package so that we can test it and do all the possible 
evaluations of it. Once it has been completely tested it will go in the major package. 